<div id="studentPreview" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#studentPreview"
        [attr.data-slide-to]="i"
        *ngFor="let student of students; let i = 'index'"
        [ngClass]="i === 0 ? 'active' : ''"></li>
  </ol>

  <div class="carousel-inner">
    <div class="carousel-item"
         *ngFor="let student of students; let i = 'index'"
         [ngClass]="i === 0 ? 'active' : ''">
      <div class="student-card">
        <app-student-preview [student]="student" [index]="i"></app-student-preview>
      </div>
    </div>
  </div>

  <a class="carousel-control-prev" href="#studentPreview" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#studentPreview" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
<router-outlet></router-outlet>
